/*
 *
 *   util.h
 *
 *   Header file for utility functions
 *
 *   Copyright (C) 2003, by the Grand River Dam Authority,
 *   All rights reserved.
 *
 *   Author: Matt Roberts
 *
 */

#ifndef __UTIL_H
	#define __UTIL_H

	#include <string>
	#include <sys/types.h>

	extern std::string sgsocket_default;

	std::string itoa (int arg);
	std::string get_keyword (const std::string &line);
	std::string get_value (const std::string &value);

	std::string gettime(void);
	std::string path_file (const std::string &s);
	std::string getsockpath (const std::string &path, const std::string &sghome = sgsocket_default);

	int yes_or_no (const std::string &value);

	time_t now (void);

#endif
